NotarisationPayload
Keywords: net.corda.core.flows.NotarisationPayload class
Date: 2023-09-18

net.corda.core.flows

## Class NotarisationPayload

- net.corda.core.flows.NotarisationPayload

-     public class NotarisationPayload

  Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.

- - ### Constructor Detail

    - #### NotarisationPayload

          public NotarisationPayload(@NotNull
                                     java.lang.Object transaction,
                                     @NotNull
                                     NotarisationRequestSignature requestSignature)

      Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.

  - ### Method Detail

    - #### getSignedTransaction

          @NotNull
          public SignedTransaction getSignedTransaction()

      A helper for automatically casting the underlying transaction payload to a `class SignedTransaction`. Should only be used by validating notaries.

      See Also:
        `class SignedTransaction`

    - #### getCoreTransaction

          @NotNull
          public CoreTransaction getCoreTransaction()

      A helper for automatically casting the underlying transaction payload to a `class CoreTransaction`. Should only be used by non-validating notaries.

      See Also:
        `class CoreTransaction`

    - #### getTransaction

          @NotNull
          public java.lang.Object getTransaction()

    - #### getRequestSignature

          @NotNull
          public NotarisationRequestSignature getRequestSignature()

    - #### component1

          @NotNull
          public java.lang.Object component1()

    - #### component2

          @NotNull
          public NotarisationRequestSignature component2()

    - #### copy

          @NotNull
          public NotarisationPayload copy(@NotNull
                                                   java.lang.Object transaction,
                                                   @NotNull
                                                   NotarisationRequestSignature requestSignature)

      Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.

    - #### hashCode

          public int hashCode()

      Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Container for the transaction and notarisation request signature. This is the payload that gets sent by a client to a notary service for committing the input states of the transaction.